<?php
namespace VisualM\FormBundle\Entity;

/**
 * FormField Interface
 *
 * Extracted from FormField and amended by MetaClass Groningen, 2016
 */
interface FormFieldInterface
{
    /**
     * Get Titel
     *
     * @return string Titel
     **/
    public function getTitel();

    /**
     * Get Referentie
     *
     * @return string Referentie
     **/
    public function getReferentie();

    /**
     * Get Type
     *
     * @return string Type
     **/
    public function getType();

    /**
     * Get Verplicht
     *
     * @return bool Verplicht
     **/
    public function getVerplicht();

    /**
     * Get Rijen
     *
     * @return int Rijen
     **/
    public function getRijen();

    /**
     * Get Regex
     *
     * @return string Regex
     **/
    public function getRegex();

    /**
     * @return string|array (Imploded) opties
     *
     * Wordt gebruikt om choices uit te maken, niet als initiele waarde
     **/
    public function getWaarden();

    /**
     * Get lengte
     *
     * @return integer
     */
    public function getLengte();

    /**
     * Get schaal
     *
     * @return integer
     */
    public function getSchaal();

}